API referenceInboxes
List threads
GET
/inboxes/{id}/threadsNewest activity first. Filter by query (subject or participant), label, status, unread and assignee (me, none or a member id).
Authorization
apiKey AuthorizationBearer <token>
A project API key: Authorization: Bearer s0_…
In: header
Path Parameters
id*string
Length
1 <= length <= 64Query Parameters
limit?integer
Range
1 <= value <= 100after?string
Length
1 <= length <= 64before?string
Length
1 <= length <= 64query?string
Length
1 <= length <= 200label?string
Match
^[a-z0-9][a-z0-9_.:-]{0,63}$status?string
Value in
- "open"
- "closed"
unread?string
Value in
- "true"
- "false"
assignee?|
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/inboxes/string/threads"{ "object": "list", "has_more": true, "data": [ { "object": "thread", "id": "string", "inbox_id": "string", "subject": "string", "status": "open", "labels": [ "string" ], "participants": [ "string" ], "message_count": 0, "failed_message_count": 0, "unread_count": 0, "assignee_id": "string", "last_message_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z" } ]}